com.google.flatbuffers

## Class Struct

- java.lang.Object
- - com.google.flatbuffers.Struct

    public class Struct
    extends Object

All structs in the generated code derive from this class, and add their own accessors.

### Field Summary

Fields
`protected ByteBuffer` `bb` The underlying ByteBuffer to hold the data of the Struct.
`protected int` `bb_pos` Used to hold the position of the `bb` buffer.

### Constructor Summary

Constructors
Constructor and Description
`Struct()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bb_pos

    protected int bb_pos

Used to hold the position of the `bb` buffer.

#### bb

    protected ByteBuffer bb

The underlying ByteBuffer to hold the data of the Struct.

### Constructor Detail

#### Struct

    public Struct()